libnvme(2)

NAME
enum nvme_zns_zs - Zone Descriptor Data Structure - Zone State

SYNOPSIS
enum nvme_zns_zs {
NVME_ZNS_ZS_EMPTY ,
NVME_ZNS_ZS_IMPL_OPEN ,
NVME_ZNS_ZS_EXPL_OPEN ,
NVME_ZNS_ZS_CLOSED ,
NVME_ZNS_ZS_READ_ONLY ,
NVME_ZNS_ZS_FULL ,
NVME_ZNS_ZS_OFFLINE

};

Constants

NVME_ZNS_ZS_EMPTY
    Empty state

NVME_ZNS_ZS_IMPL_OPEN
    Implicitly open state

NVME_ZNS_ZS_EXPL_OPEN
    Explicitly open state

NVME_ZNS_ZS_CLOSED
    Closed state

NVME_ZNS_ZS_READ_ONLY
    Read only state

NVME_ZNS_ZS_FULL
    Full state

NVME_ZNS_ZS_OFFLINE
    Offline state